;;; +slack.el --- Slack customizations and extras -*- lexical-binding: t; -*-

;;; Commentary:

;;; Code:

(require 'slack)

(defgroup +slack nil
  "Extra slack customizations."
  :group 'slack
  :prefix "+slack-")

(defcustom +slack-teams nil
  "Teams to register using `slack-register-team'.
This is a list of plists that are passed directly to
`slack-register-team'."
  ;;TODO: type
  )

(defun +slack-register-teams ()
  "Register teams in `+slack-teams'."
  (dolist (team +slack-teams)
    (apply #'slack-register-team team)))

(provide '+slack)
;;; +slack.el ends here
