;;; +dired.el -*- lexical-binding: t -*-

;;; Code:

(require 'vertico)

(defun +dired-goto-file (file)
  "ADVICE for `dired-goto-file' to make RET call `vertico-exit'."
  (interactive                          ; stolen from `dired-goto-file'
   (prog1
       (list (dlet ((vertico-map (copy-keymap vertico-map)))
               (define-key vertico-map (kbd "RET") #'vertico-exit)
               (expand-file-name (read-file-name "Goto file: "
                                                 (dired-current-directory)))))
     (push-mark)))
  (dired-goto-file file))

(provide '+dired)
;;; +dired.el ends here
