;;; bob.el --- Customizations for "bob" -*- lexical-binding: t; -*-

;;; Commentary:

;;; Code:

(require 'acdw)
(require 'machine)

;; Other ideas: [[https://twitter.com/NPRougier/status/1488570192561160195][from Nic Rougier]]
(add-function :after machine-after-load-theme
              (defun +bob-set-faces (&rest _)
                (let ((base-face "IBM Plex Mono")
                      (base-size 105)
                      (italic-face nil)
                      ;; (bold-face nil)
                      (mono-face nil)
                      (var-face "IBM Plex Serif")
                      (var-size 1.0))
                  (+set-faces
                   `((default
                       :family ,base-face
                       :height ,base-size
                       :weight normal)
                     ;; (bold :family ,(or bold-face base-face)
                     ;;       :weight bold)
                     (italic :family ,(or italic-face base-face)
                             :weight normal
                             :slant italic)
                     (fixed-pitch :family ,(or mono-face base-face)
                                  :height 1.0)
                     (variable-pitch
                      :family ,(or var-face base-face)
                      :height ,var-size)
                     (org-italic
                      :family ,(or var-face base-face)
                      :slant italic))))
                ))

;; bob.el ends here
